# ACE_Function_Timeprobe< Timeprobe > Class Template Reference

Auto pointer like time probes. It will record <event> on construction and <event + 1> on destruction. More...

`#include <Timeprobe_T.h>`

Collaboration diagram for ACE_Function_Timeprobe< Timeprobe >:

[legend]
List of all members.

## Public Member Functions

| ACE_Function_Timeprobe (Timeprobe &timeprobe, u_long event)
| Constructor.
| ~ACE_Function_Timeprobe (void)
| Destructor.

## Protected Attributes

Timeprobe & | timeprobe_
| Reference to timeprobe.
u_long | event_
| Event.

## Detailed Description

### template<class Timeprobe>
class ACE_Function_Timeprobe< Timeprobe >

Auto pointer like time probes. It will record <event> on construction and <event + 1> on destruction.

## Constructor & Destructor Documentation

template<class Timeprobe>
ACE_Function_Timeprobe< Timeprobe >::ACE_Function_Timeprobe | ( | Timeprobe & | timeprobe,
|  | u_long | event
| ) |

| Constructor.

template<class Timeprobe>
ACE_Function_Timeprobe< Timeprobe >::~ACE_Function_Timeprobe | ( | void |  | ) |

| Destructor.

## Member Data Documentation

template<class Timeprobe>
u_long ACE_Function_Timeprobe< Timeprobe >::event_`[protected]`

| Event.

template<class Timeprobe>
Timeprobe& ACE_Function_Timeprobe< Timeprobe >::timeprobe_`[protected]`

| Reference to timeprobe.

The documentation for this class was generated from the following files:

- Timeprobe_T.h
- Timeprobe_T.cpp